package com.xhkjedu.slive.mapper.liveplay;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.slive.model.liveplay.LCourseSectionPlayback;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 *功能描述  直播回放
 * @author WN
 * @date 2021/6/16
 * @param  * @param null
 * @return
 */
@Repository
public interface CourseSectionPlaybackMapper extends TkMapper<LCourseSectionPlayback> {

    //修改直播回放地址
    Integer updatePlayback(@Param("playback") LCourseSectionPlayback playback);

    //课节下所有直播回放
    List<Map> listSectionPlaybacks(@Param("sectionid") Integer sectionid);

    //修改视频回放观看次数
    void updateReadnum(@Param("pbid") Integer pbid);

    //修改视频下载次数
    void updateDownnum(@Param("pbid") Integer pbid);

    //根据课节名称获取回放地址列表
    List<Map> listPb(@Param("sectionnames") List<String> sectionnames);

    //删除回放
    void deletePb(@Param("pbs") List<String> pbs);
}
